## apache-arrow 21.0.0

=== debian/changelog ===
apache-arrow (21.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Fri, 11 Jul 2025 07:54:51 -0000
