## apache-arrow 22.0.0

=== debian/changelog ===
apache-arrow (22.0.0-1) unstable; urgency=medium

  * Initial upload (Closes: #970021)
    - provides pyarrow (Closes: #1074317)
    - also directly provides r-cran-arrow (Closes: #1111537)

 -- Steffen Moeller <moeller@debian.org>  Sun, 02 Nov 2025 21:58:50 +0000

apache-arrow (21.0.0-1) UNRELEASED; urgency=medium

  [ Steffen Moeller ]
  * Reinstated Gandiva
  * Activated snappy again.
  * Added debian/.gitignore
  * Python version and numpy ABI dependencies auto-added.
  * d/copyright:
    - Added debian/* section
    - Worked towards lrc compliance
    - Introduced d/lrc.config
  * d/watch:
    - Transitioned to version 5
    - Added upstream public key

  [ Diane Trout ]
  * Updated debian/tests/control for new python test dependencies
  * Parameterize MULTIARCH path in d/rules file
  * Switch to debhelper-compat =13 to allow DEB_HELPER_MULTIARCH in
    install files
  * Don't install include files installed into pyarrow-dev that conflict
    with libarrow-dev, add dependency on libarrow-dev to install them

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.

 -- Steffen Moeller <moeller@debian.org>  Mon, 18 Aug 2025 19:22:21 +0200

apache-arrow (20.0.0-1) UNRELEASED; urgency=medium

  * New upstream release
  * Reduced to compilation of C/C++ libraries
  * d/copyright: syntax fix
  * d/control:
    - Set uploaders to Diane, Sascha and myself.
    - Improved descriptions.
  * debian/patches
    - Removed now redundant debian/patches/allow-pytest-8.patch

 -- Steffen Moeller <moeller@debian.org>  Fri, 27 Jun 2025 19:55:51 +0200

apache-arrow (15.0.2-1) UNRELEASED; urgency=medium

  * New upstream release
  * Put documentation files in most core library
  * Disable packages that seem to not exist now.
    - libarrow-python
    - various plasma-store-server packages
  * add new packages
    - libacero{1500,-dev}
    - pyarrow-dev
    - python3-pyarrow
  * Remove pytest-runner, pytest-lazy-fixture from Build-Depends
    no longer used by upstream
  * Update .install files for changed paths
  * Refresh patches
  * Add patches to allow building pyarrow
    - allow-setuptools-8.patch, allow-pytest-8.patch,
      python-no-jemalloc.patch
  * leave use-debian-jemalloc.patch as a WIP to stop using
    vendored jemalloc
  * Don't autoclean source while building to help with packaging
  * Disable running cython tests during build process
    cython isn't able to find the libarrow libraries it needs
    without being installed
  * Build and install python component
  * Adjust cmake build settings
  * Tell pybuild to use cmake instead of setup.py
  * Configure salsa-ci.yml

 -- Diane Trout <diane@ghic.org>  Thu, 04 Apr 2024 17:08:52 -0700

apache-arrow (7.0.0-1) UNRELEASED; urgency=medium

  [ Sascha Steinbiss ]
  * Debian upload.

  [ Diane Trout ]
  * Use Debian source for Brotli, OpenSSL, and Snappy
  * add use-debian-xsimd.patch to use Debian provided xsimd.
  * FindBrotli.cmake and libarrow_bundled_dependencies don't exist.
  * Install built FindThrift*.cmake scripts
  * Disable non-free nvidia dependency for now
  * Install readme, notice and license into the main -dev package
  * Turn off jemalloc as upstream wants to build from downloaded source
  * fail-missing files that are not installed to help develop packaging
  * Build and test pyarrow
  * add fix-upstream-watch to keep uscan from finding wrong arrow repositories
  * Add a more modern debian/watch file

 -- Sascha Steinbiss <satta@debian.org>  Sun, 20 Feb 2022 12:57:32 +0100
