=== debian/control ===
Source: apache-arrow
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders:
  Steffen Moeller <moeller@debian.org>,
  Sascha Steinbiss <satta@debian.org>,
  Diane Trout <diane@ghic.org>
Build-Depends:
  clang,
  clang-tidy,
  cmake,
  cython3,
  debhelper-compat (= 13),
  dh-python,
  dh-r,
  dh-sequence-numpy3,
  git,
  gir1.2-glib-2.0-dev,
  gobject-introspection (>= 1.80),
  golang-gir-gobject-2.0-dev,
#  gir1.2-*-dev,
  gtk-doc-tools,
  libgirepository-1.0-dev,
  libboost-filesystem-dev,
  libboost-system-dev,
  libbrotli-dev,
  libbz2-dev,
  libcurl4-openssl-dev,
  libgoogle-glog-dev,
  libgrpc++-dev,
  libgtest-dev,
  libjemalloc-dev,
#  libmimalloc-dev, # Attempts to download during build
  liblz4-dev,
  libre2-dev,
  libprotobuf-dev,
  libprotoc-dev,
  libs3-dev,
  libsnappy-dev,
  libssl-dev,
  libthrift-dev,
  libutf8proc-dev,
  libxsimd-dev,
  libzstd-dev,
  llvm,
  llvm-dev,
  meson,
  ninja-build,
#  nvidia-cuda-toolkit [!arm64],
  pkgconf,
  protobuf-compiler-grpc,
  python3-thrift,
  python3-all-dev,
  python3-cffi <!nocheck>,
  python3-dotenv <!nocheck>,
  python3-git <!nocheck>,
  python3-github <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-memory-profiler <!nocheck>,
  python3-numpy-dev,
  python3-pandas <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-arraydiff <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-responses <!nocheck>,
  python3-semver <!nocheck>,
  python3-setuptools-scm,
  python3-typeguard <!nocheck>,
  python3-pytz <!nocheck>,
  python3-wheel <!nocheck>,
  r-base-dev,
  r-cran-assertthat,
  r-cran-bit64,
  r-cran-cpp11,
  r-cran-glue,
  r-cran-purrr,
  r-cran-r6,
  r-cran-rlang,
  r-cran-tidyselect,
  r-cran-vctrs,
  rapidjson-dev,
  tzdata,
  tzdata-legacy,
  zlib1g-dev
#Build-Depends-Indep: libglib2.0-doc
Standards-Version: 4.7.2
Homepage: https://arrow.apache.org/

Package: libarrow2200
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow data processing library
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ library files.

#Package: libarrow-cuda2200
#Section: libs
#Architecture: i386 amd64
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends:
# ${misc:Depends},
# ${shlibs:Depends}
# libarrow2200 (= ${binary:Version})
#Description: Apache Arrow is a data processing library for analysis
# Apache Arrow defines a language-independent columnar memory format
# for flat and nested data, organized for efficient analytic operations
# on modern hardware like CPUs and GPUs. The Arrow memory format also
# supports zero-copy reads for lightning-fast data access without
# serialization overhead.
# .
# Arrow's libraries implement the format and provide building blocks
# for a range of use cases, including high performance analytics. Many
# popular projects use Arrow to ship columnar data efficiently or as the
# basis for analytic engines.
# .
# This package provides C++ library files for CUDA support.

Package: libarrow-acero2200
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow2200 (= ${binary:Version}),
Description: Apache library for processing large streams of data
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ library files for the Apache Acero module.

Package: libarrow-dataset2200
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow2200 (= ${binary:Version}),
  libparquet2200 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ library files for Dataset module.

Package: libarrow-flight2200
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow2200 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ library files for Flight RPC system.

# Is this in the python package now?
Package: libarrow-python2200
Section: libs
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libarrow2200 (= ${binary:Version}),
  python3,
  python3-numpy
Description: Apache Arrow is a data processing library for analysis
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ library files for Python support.

Package: libarrow-python-flight2200
Section: libs
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
  libarrow-flight2200 (= ${binary:Version}),
  libarrow-python2200 (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ library files for Flight and Python support.

Package: libarrow-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow2200 (= ${binary:Version}),
  libbrotli-dev,
  libbz2-dev,
  libgrpc++-dev,
  liblz4-dev,
  libre2-dev,
  libsnappy-dev,
  libssl-dev,
  libutf8proc-dev,
  libzstd-dev,
  protobuf-compiler-grpc,
  libprotobuf-dev,
  libprotoc-dev,
  libthrift-dev,
  zlib1g-dev
Description: Apache Arrow data processing library - header files
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ header files.

Package: libarrow-acero-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libarrow-acero2200 (= ${binary:Version}),
Description: Apache Acero is a tool for processing large streams of data
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ header files for dataset module.

#Package: libarrow-cuda-dev
#Section: libdevel
#Architecture: i386 amd64
#Multi-Arch: same
#Depends:
# ${misc:Depends},
# libarrow-dev (= ${binary:Version}),
# libarrow-cuda2200 (= ${binary:Version})
#Description: Apache Arrow data processing library - CUDA headers
# Apache Arrow defines a language-independent columnar memory format
# for flat and nested data, organized for efficient analytic operations
# on modern hardware like CPUs and GPUs. The Arrow memory format also
# supports zero-copy reads for lightning-fast data access without
# serialization overhead.
# .
# Arrow's libraries implement the format and provide building blocks
# for a range of use cases, including high performance analytics. Many
# popular projects use Arrow to ship columnar data efficiently or as the
# basis for analytic engines.
# .
# This package provides C++ header files for CUDA support.

Package: libarrow-dataset-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
  libarrow-dataset2200 (= ${binary:Version}),
  libparquet-dev (= ${binary:Version})
Description: Apache Arrow is a data processing library for analysis
 Apache Arrow defines a language-independent columnar memory format
 for flat and nested data, organized for efficient analytic operations
 on modern hardware like CPUs and GPUs. The Arrow memory format also
 supports zero-copy reads for lightning-fast data access without
 serialization overhead.
 .
 Arrow's libraries implement the format and provide building blocks
 for a range of use cases, including high performance analytics. Many
 popular projects use Arrow to ship columnar data efficiently or as the
 basis for analytic engines.
 .
 This package provides C++ header files for dataset module.

Package: libarrow-flight-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libarrow-dev (= ${binary:Version}),
