=== debian/tests/control ===
Tests: test-pyarrow
Depends: python3-pyarrow,
         libarrow-python2100,
         python3-pytest,
         python3-hypothesis,
         python3-memory-profiler,
         tzdata-legacy,
